import Resonator from '../framework/resonator';


export default class Sound {
    constructor() {
        this.res = new Resonator();
        this.res.setEnvironmentImpulse(`assets/Greek7EchoHall.wav`);
        this.ambience = null;
        this.music = null;
        this.previousAmbience = null;
        this.previousMusic = null;
    }

    play(file) {
        const sound = this.res.loadImmediate(file);
        sound.play();
    }
}